Name:           perl-Tk-GraphViz
Version:        1.01
Release:        8%{?dist}
Summary:        Render an interactive GraphViz graph
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Tk-GraphViz/
Source0:        http://www.cpan.org/authors/id/J/JG/JGS/Tk/GraphViz/Tk-GraphViz-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Reaper) >= 1
BuildRequires:  perl(Tk) >= 800.02
Requires:       perl(Reaper) >= 1
Requires:       perl(Tk) >= 800.02
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The GraphViz widget is derived from Tk::Canvas. It adds the ability to
render graphs in the canvas. The graphs can be specified either using the
DOT graph-description language, or using via a GraphViz object.


%prep
%setup -q -n Tk-GraphViz-%{version}

cat <<EOF >%{name}-prov
#!/bin/sh
%{__perl_provides} $* |sed -e '/perl(Parse::Yapp::Driver)/d'
EOF

%global __perl_provides %{_builddir}/Tk-GraphViz-%{version}/%{name}-prov
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
# Test can't be run w/o x11, run them at least
# when developing the package until a mockup/Xvfb is provided
if [ "$DISPLAY" ]
then
        make test
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes parseRecordLabel.yp README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 1.01-6
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.01-4
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 25 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.01-2
- Filter Parse::Yapp::Driver provide away

* Tue Jun 09 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.01-1
- Specfile autogenerated by cpanspec 1.78.
- Fix up license
